Skip to navigation

🧪 List a Carrier’s Authority Revocations

Retrieve operating authority revocations for a carrier, by DOT number. Ordered by effective date, most recent first.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

dot_numberstringRequired

Query parameters

registryenumOptional

Registry/authority that maintains the carrier record.

Allowed values:

Response

Successful Response
idstringformat: "uuid"
registryenum

Registry/authority that maintains the carrier record

Allowed values:
authority_numberstring
created_atdatetime
updated_atdatetime
fleet_registry_idstring or nullOptional
license_typeenum or nullOptional
Type of operating license subject to a revocation action
Allowed values:
order_served_datedate or nullOptional
revocation_typeenum or nullOptional
Whether a revocation was initiated by the carrier or the authority
Allowed values:
effective_datedate or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
501
Not Implemented Error